From: "Michael Sterrett" <mr_bones_@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-strategy/uqm/
Date: Wed, 17 Feb 2016 07:56:09 +0000 (UTC) [thread overview]
Message-ID: <1455695719.5fba591264a7db8ec981271df7a7bc9c040424e6.mr_bones_@gentoo> (raw)
commit: 5fba591264a7db8ec981271df7a7bc9c040424e6
Author: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 17 07:54:42 2016 +0000
Commit: Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Wed Feb 17 07:55:19 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fba5912
games-strategy/uqm: rev bump to add remix disc 4 as reported by Ryan Hill via bug #574930
Package-Manager: portage-2.2.26
games-strategy/uqm/Manifest | 1 +
games-strategy/uqm/uqm-0.7.0-r3.ebuild | 108 +++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/games-strategy/uqm/Manifest b/games-strategy/uqm/Manifest
index f9f349b..76b7425 100644
--- a/games-strategy/uqm/Manifest
+++ b/games-strategy/uqm/Manifest
@@ -5,3 +5,4 @@ DIST uqm-0.7.0-voice.uqm 115143439 SHA256 bcccf801b4ba37594ff6217b292744ea586ee2
DIST uqm-remix-disc1.uqm 50188876 SHA256 b697694745d939311e8ebffdd5edf692e010c25d7966e1481074940a4d0487e8 SHA512 fed2a6e260ee96802898ad9b6c968acaac3613187fe38370fb557d6d220b499b922447ea04edd15763d0161f5c156ce03bc9d55a86ed3b4e2e0140a4fb17e99b WHIRLPOOL fee79171e43fb203dcc2b8cbca7d3e2edfa4c6334a1f0996fa8951dc67ef94e67f06edbe250810e1385f5887834a7a0755e1e40a9aa3cdae0cdfb937e238fe46
DIST uqm-remix-disc2.uqm 60282662 SHA256 7fbb4744102e31273e4459b01a156da052ec537c128fe91793643e348bc1bade SHA512 3053693417facef6d01cdb366a15c1bd2a6272961df5870c4151a928845dd76e4ac5fc59f232da5034d56fd9476d3074840a2e9f16d63dba341aeffd92827c4e WHIRLPOOL e52f1eb1c8cd0007eb77d80719f8feeb044c61bb2d72c14fae92ba62ea8ad1225ffa427db39dadd864304818839c4df0e1e0fe9c0d8a2b265ceead14f70df56e
DIST uqm-remix-disc3.uqm 39924875 SHA256 e6d89f8f66cf1df1cb278fca1e92261b1776ee670dff26132e33f14dbd31e91d SHA512 2337752e3a2447ab048cc6782153bbb120d2d6b890c5bfae9cbef60a46d12abf716917863286b0196bf6f5e8ef301b5f84338237520880b10cbf75e450076951 WHIRLPOOL ba1ed49bb6761d9955fe9beced1987dd4458cd0203a9c8e712bb55034fd8d278f489c995969866cb7096bea75e88b330031f070b7aeb7e09f48fda0ece862e36
+DIST uqm-remix-disc4.uqm 86545760 SHA256 a4c8197712a5b72a81c7ef7a2a33ea7d3ac90ab063c929dd68e7328a559a86d0 SHA512 07f0fbe0b9889602eab43f376577c8e0a19c6db50bbb3f01f57836c7caab1eb18813e94d8d9f2d3098a6b6c9dc336290b7f5262c586f2fb41ffab0e2b0ba7f65 WHIRLPOOL 011859d9c7566c369c086925548fd4340e34d4f3657c6d4ff242451e7665acbac8c18ec2d6818856011e930a01406d947164ec0b8ed454b422424ec3fa78972c
diff --git a/games-strategy/uqm/uqm-0.7.0-r3.ebuild b/games-strategy/uqm/uqm-0.7.0-r3.ebuild
new file mode 100644
index 0000000..41d994a
--- /dev/null
+++ b/games-strategy/uqm/uqm-0.7.0-r3.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils multilib toolchain-funcs games
+
+DESCRIPTION="The Ur-Quan Masters: Port of Star Control 2"
+HOMEPAGE="http://sc2.sourceforge.net/"
+SRC_URI="mirror://sourceforge/sc2/${P}-source.tgz
+ mirror://sourceforge/sc2/${P}-content.uqm
+ music? ( mirror://sourceforge/sc2/${P}-3domusic.uqm )
+ voice? ( mirror://sourceforge/sc2/${P}-voice.uqm )
+ remix? ( mirror://sourceforge/sc2/${PN}-remix-disc1.uqm \
+ mirror://sourceforge/sc2/${PN}-remix-disc2.uqm \
+ mirror://sourceforge/sc2/${PN}-remix-disc3.uqm \
+ mirror://sourceforge/sc2/${PN}-remix-disc4.uqm )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="music opengl remix voice"
+
+RDEPEND="media-libs/libmikmod
+ media-libs/libogg
+ >=media-libs/libpng-1.4:0
+ media-libs/libsdl[X,sound,joystick,video]
+ media-libs/libvorbis
+ media-libs/sdl-image[png]
+ sys-libs/zlib
+ opengl? ( virtual/opengl )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ local myopengl
+
+ use opengl \
+ && myopengl=opengl \
+ || myopengl=pure
+
+ cat <<-EOF > config.state
+ CHOICE_debug_VALUE='nodebug'
+ CHOICE_graphics_VALUE='${myopengl}'
+ CHOICE_sound_VALUE='mixsdl'
+ CHOICE_accel_VALUE='plainc'
+ INPUT_install_prefix_VALUE='${GAMES_PREFIX}'
+ INPUT_install_bindir_VALUE='\$prefix/bin'
+ INPUT_install_libdir_VALUE='\$prefix/lib'
+ INPUT_install_sharedir_VALUE='${GAMES_DATADIR}/'
+ EOF
+
+ # Take out the read so we can be non-interactive.
+ sed -i \
+ -e '/read CHOICE/d' build/unix/menu_functions || die
+
+ # respect CFLAGS
+ sed -i \
+ -e "s/-O3//" build/unix/build.config || die
+
+ sed -i \
+ -e "s:@INSTALL_LIBDIR@:$(games_get_libdir)/:g" \
+ build/unix/uqm-wrapper.in || die
+
+ # respect CC
+ sed -i \
+ -e "s/PROG_gcc_FILE=\"gcc\"/PROG_gcc_FILE=\"$(tc-getCC)\"/" \
+ build/unix/config_proginfo_build || die
+}
+
+src_compile() {
+ MAKE_VERBOSE=1 ./build.sh uqm || die
+}
+
+src_install() {
+ # Using the included install scripts seems quite painful.
+ # This manual install is totally fragile but maybe they'll
+ # use a sane build system for the next release.
+ newgamesbin uqm-wrapper uqm
+ exeinto "$(games_get_libdir)"/${PN}
+ doexe uqm
+
+ insinto "${GAMES_DATADIR}"/${PN}/content/packages
+ doins "${DISTDIR}"/${P}-content.uqm
+ echo ${P} > "${D}${GAMES_DATADIR}"/${PN}/content/version || die
+
+ insinto "${GAMES_DATADIR}"/${PN}/content/addons
+ if use music; then
+ doins "${DISTDIR}"/${P}-3domusic.uqm
+ fi
+
+ if use voice; then
+ doins "${DISTDIR}"/${P}-voice.uqm
+ fi
+
+ if use remix; then
+ insinto "${GAMES_DATADIR}"/${PN}/content/addons
+ doins "${DISTDIR}"/${PN}-remix-disc{1,2,3,4}.uqm
+ fi
+
+ dodoc AUTHORS ChangeLog Contributing README WhatsNew doc/users/manual.txt
+ docinto devel
+ dodoc doc/devel/[!n]*
+ docinto devel/netplay
+ dodoc doc/devel/netplay/*
+ make_desktop_entry uqm "The Ur-Quan Masters"
+ prepgamesdirs
+}
next reply other threads:[~2016-02-17 7:56 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-02-17 7:56 Michael Sterrett [this message]
-- strict thread matches above, loose matches on Subject: below --
2021-06-18 3:46 [gentoo-commits] repo/gentoo:master commit in: games-strategy/uqm/ Ionen Wolkens
2021-06-18 3:39 Ionen Wolkens
2021-06-18 3:39 Ionen Wolkens
2018-07-15 19:01 James Le Cuirot
2018-07-15 19:01 James Le Cuirot
2018-05-02 19:28 Pacho Ramos
2018-05-02 19:28 Pacho Ramos
2017-01-20 16:21 David Seifert
2016-04-14 12:25 José María Alonso
2016-01-05 8:26 Michael Sterrett
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1455695719.5fba591264a7db8ec981271df7a7bc9c040424e6.mr_bones_@gentoo \
--to=mr_bones_@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox